/* tslint:disable */
/* eslint-disable */
/* prettier-ignore */
// This document is generated by rokot-apicontroller-client-generator. DO NOT edit directly.

export interface HeaderMap {
    [k: string]: string;
}

export interface IFetcher {
    request<T>(url: string, verb: string, contentType: string, body?: any, headers?: HeaderMap): Promise<T>;
    buildQueryString(query?: any): string;
    requestValidate?(routeUniqueName: string, paramValues: {
        body?: any;
        params?: any;
        query?: any;
    }): Promise<void>;
}

export class TestTwo {
    stringTest: string;
}

export enum EnumTest {
    One = "OneTest"
}

export interface PartialTest {
    stringTest?: string;
    numberTest?: number;
    boolTest?: boolean;
    referenceTest?: TestTwo;
    enumTest?: EnumTest;
}

export class TestController {
    constructor(private fetcher: IFetcher) { }
    getAll = (headers?: HeaderMap): Promise<PartialTest> => {
        return this.fetcher.request<PartialTest>(`test/all`, "get", "application/json", undefined, headers);
    };
}

export class ApiClient {
    constructor(private fetcher: IFetcher) { }
    test = new TestController(this.fetcher);
}